Loading...
Searching...
No Matches
gea.c File Reference
GPRS GEA3/GEA4 ciphering algorithm
`#include <osmocom/core/bits.h>`
`#include <osmocom/crypt/gprs_cipher.h>`
`#include <osmocom/crypt/auth.h>`
`#include <osmocom/gsm/kasumi.h>`
`#include <stdint.h>`
`#include <string.h>`

## Functions

int | gea4 (uint8_t *out, uint16_t len, uint8_t *kc, uint32_t iv, enum gprs_cipher_direction direction)
| Performs the GEA4 algorithm as in 3GPP TS 55.226 V9.0.0.
int | gea3 (uint8_t *out, uint16_t len, uint8_t *kc, uint32_t iv, enum gprs_cipher_direction direction)
| Performs the GEA3 algorithm as in 3GPP TS 55.216 V6.2.0.